<?php
/*TESTf
 * DON'T REMOVE THE FOLLOWING LICENSE
 *           INFORMATION!
 * ----------------------------------
 * Copyright by
 * Dennis Ritz
 * Author: Dennis Ritz
 * dennis.ritz@gmx.net
 * 2007-2008
 * ----------------------------------
 */
$includeFiles = array(
"phpConfig.inc",
"lib/Log.class.inc",
"lib/Auth.class.inc",
"lib/Runner.class.php5",
"lib/Filesystem.class.inc",
"lib/User.class.inc",
"lib/GUI.class.inc",
"lib/App.class.php5",
"lib/Core.class.php5",
"lib/INI.class.php5",
"lib/I18N.class.php5",
"lib/functions.inc",
"lib/function.number_reformat.php",
"lib/Smarty/Smarty.class.php"
);

foreach($includeFiles as $path) {
	if (! @file_exists(ROOT_DIR.$path)) {
	   print sprintf("Required file '<b>%s</b>' doesn't exist.",$path);
	   exit;
    }else{
        require_once (ROOT_DIR.$path);
    }
}
?>